#ifndef __FILE_IO_H__
#define __FILE_IO_H__ 1
#include <stdio.h>
#include <stdarg.h>
#include <rhcfile/file_op.h>

typedef struct {
	int fd;
} CFGFILE;

CFGFILE *Fopen(const char *path, const char *mode);
int Fgetc(CFGFILE *stream);
char *Fgets(char *s, int size, CFGFILE *stream);
int Fputc(int c, CFGFILE *stream);
int Fputs(const char *s, CFGFILE *stream);
int Fprintf(CFGFILE *stream, const char *format, ...);
int Vfprintf(CFGFILE *stream, const char *format, va_list ap);
int Fclose(CFGFILE *stream);
#endif
